Fedora 25:webkitgtk4(2017-0beb752b6e)

high Nessus プラグイン ID 97448

言語:

概要

リモートのFedoraホストにセキュリティ更新プログラムがありません。

説明

この更新では以下の脆弱性が対処します:

- [CVE-2017-2350](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2350)、[CVE-2017-2354](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2354)、[CVE-2017-2355](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2355)、[CVE-2017-2356](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2356)、[CVE-2017-2362](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2362)、[CVE-2017-2363](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2363)、[CVE-2017-2364](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2364)、[CVE-2017-2365](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2365)、[CVE-2017-2366](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2366)、[CVE-2017-2369](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2369)、[CVE-2017-2371](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2371)、[CVE-2017-2373](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2373)

その他の修正:

- 加速コンポジットモードを再びオンデマンドにします。デフォルトでは、これを必要とするWebサイトにのみ使用され、必要のないWebサイトでは大量のメモリを節約します。

- 使用されていないUpdateAtlasをリリースし、メモリ負荷でタイルの範囲を縮小します。

- メディアバックエンドが、プリロードされたメディアをユーザーキャッシュdirではなく/var/tmpに保存するようになりました。

- アクセラレートコンポジットサポートが無効な場合にインスペクターが再び機能するようにします。

- メディアプレーヤーが破壊されたときのデッドロックを修正します。

- カスタムURIスキームをロードする際のネットワークプロセスクラッシュを修正します。

- サブフレーム上にあるオーバーレイスクロールバーを修正します。

- GraphicsContext3Dのクラッシュを修正します:: OpenGLを使用する場合のdrawArrays 3.2コアプロファイル。

- WebViewのサイズ変更時に発生するBadDamage Xのエラーを修正します。

- 複数のクラッシュおよびレンダリングの問題を修正します。

注意:Tenable Network Securityは、前述の記述ブロックをFedora更新システムのWebサイトから直接抽出しています。
Tenableでは、新たな問題を持ち込まずに、できる限り自動的に整理して書式設定するようにしています。

ソリューション

影響を受けるwebkitgtk4パッケージを更新してください。

関連情報

https://bodhi.fedoraproject.org/updates/FEDORA-2017-0beb752b6e

プラグインの詳細

深刻度: High

ID: 97448

ファイル名: fedora_2017-0beb752b6e.nasl

バージョン: 3.5

タイプ: local

エージェント: unix

公開日: 2017/3/1

更新日: 2021/1/11

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:fedoraproject:fedora:webkitgtk4, cpe:/o:fedoraproject:fedora:25

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2017/2/24

脆弱性公開日: 2017/2/20

参照情報

CVE: CVE-2017-2350, CVE-2017-2354, CVE-2017-2355, CVE-2017-2356, CVE-2017-2362, CVE-2017-2363, CVE-2017-2364, CVE-2017-2365, CVE-2017-2366, CVE-2017-2369, CVE-2017-2371, CVE-2017-2373